# VTools - 3D-Turtle
# Opensource
# Autoren R. Oldenburg, M. Rabel, J. Schuster, Uni Frankfurt 
# Kontakt oldenbur@math.uni-frankfurt.de

from VTools import *

Tkosys() # Zeichnet das Koordinatensystem

T1=Turtle3D(model=wormform) # Erzeugt eine Turtle in Wurm-Form
T2=Turtle3D(2)
T1.setAnimated(False)
T2.setAnimated(False)

T2.penUp()
T2.forward(3)
T1.penDown()

def li(*args): T2.pos+=(-0.5,0,0)
def re(*args): T2.pos+=(0.5,0,0)
def ob(*args): T2.pos+=(0,0.5,0)
def un(*args): T2.pos+=(0,-0.5,0)
def vo(*args): T2.pos+=(0,0,-0.5)
def hi(*args): T2.pos+=(0,0,0.5)

# Die folgenden Befehle setzen die Funktionen, die aufgerufen werden, wenn 
# Tasten gedrueckt werden
setKeyEvent("left",li)
setKeyEvent("right",re)
setKeyEvent("up",ob)
setKeyEvent("down",un)
setKeyEvent("y",vo)
setKeyEvent("q",hi)

def verfolge(scene): T1.goto(0.95*T1.pos+0.05*T2.pos)
    
setLoopProc(verfolge)
Vrate=2

#Vmainloop()        
VmainloopThread()
